> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monterey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a conversation

> Submits conversation data to the system for processing. This can be content like a call transcript, email thread, or chat conversation.



## OpenAPI

````yaml post /conversations
openapi: 3.0.1
info:
  title: Reforge Insights (formerly Monterey AI) API
  version: 1.0.5
servers:
  - url: https://insights.reforge.com/api/v1
security: []
paths:
  /conversations:
    post:
      summary: Submit a conversation
      description: >-
        Submits conversation data to the system for processing. This can be
        content like a call transcript, email thread, or chat conversation.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: The unique identifier for the conversation.
                  example: conversation-123
                title:
                  type: string
                  description: The title of the conversation.
                  example: Customer Support Request
                  nullable: true
                source:
                  type: string
                  description: The source of the conversation.
                  example: intercom
                createdAt:
                  type: string
                  format: date-time
                  description: The date and time the conversation was created.
                  example: '2024-01-01T00:00:00.000Z'
                updatedAt:
                  type: string
                  format: date-time
                  description: The date and time the conversation was last updated.
                  example: '2024-01-01T00:00:00.000Z'
                  nullable: true
                contacts:
                  type: array
                  items:
                    $ref: '#/components/schemas/Contact'
                messages:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The unique identifier for the message.
                        example: message-789
                      incoming:
                        type: boolean
                        description: >-
                          Indicates if the message is incoming (from an external
                          user or customer) or outgoing (e.g. from a support
                          agent or sales person on your team).
                        example: true
                      contactId:
                        type: string
                        description: >-
                          The unique identifier for the contact that sent this
                          message.
                        example: user-456
                      content:
                        type: string
                        description: The content of the message.
                        example: Hello! I'm having trouble...
                      createdAt:
                        type: string
                        format: date-time
                        description: The date and time the message was created.
                        example: '2024-01-01T00:00:00.000Z'
                      shouldUnflattenProperties:
                        type: boolean
                        description: >-
                          Whether to unflatten properties that are meant to be
                          nested objects for example `{ "plan.type": "Pro" }`
                          will be unflattened to `{ "plan": { "type": "Pro" } }`
                        nullable: true
                      properties:
                        type: object
                        description: Additional metadata properties (key-value pairs)
                        additionalProperties: true
                      sourceUrl:
                        type: string
                        description: URL linking to the source of this message
                        nullable: true
                rating:
                  type: number
                  description: The numeric rating (integer)
                  nullable: true
                shouldUnflattenProperties:
                  type: boolean
                  description: >-
                    Whether to unflatten properties that are meant to be nested
                    objects for example `{ "plan.type": "Pro" }` will be
                    unflattened to `{ "plan": { "type": "Pro" } }`
                  nullable: true
                propagatePropertiesToMessages:
                  type: boolean
                  description: >-
                    When true, conversation-level properties are merged into
                    each message's rawData. Message properties take precedence
                    over conversation properties when there are key conflicts.
                  default: false
                  nullable: true
                properties:
                  type: object
                  description: Additional metadata properties (key-value pairs)
                  additionalProperties: true
      responses:
        '200':
          description: Conversation submitted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Invalid input
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: We are limiting to 10 per minute, please try again later
      security:
        - BearerAuth: []
components:
  schemas:
    Contact:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: External contact ID
          nullable: false
        shouldUnflattenProperties:
          type: boolean
          description: >-
            Whether to unflatten properties that are meant to be nested objects
            for example `{ "plan.type": "Pro" }` will be unflattened to `{
            "plan": { "type": "Pro" } }`
          nullable: true
        properties:
          description: >-
            Properties prefixed with `$` are handled specially. Otherwise,
            additional key-value pairs will be metadata once ingested into the
            system
          type: object
          nullable: true
          properties:
            $email:
              type: string
              nullable: true
            $name:
              type: string
              nullable: true
            $createdAt:
              type: string
              format: date-time
              nullable: true
            $updatedAt:
              type: string
              format: date-time
              nullable: true
            $contractValue:
              type: number
              description: The contract value of the contact.
              example: 100000
              nullable: true
          additionalProperties: true
        account:
          $ref: '#/components/schemas/Account'
          nullable: true
        source:
          type: string
          description: Source system to limit search to
          nullable: true
    Account:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: The unique identifier for the account.
          example: account-789
        shouldUnflattenProperties:
          type: boolean
          description: >-
            Whether to unflatten properties that are meant to be nested objects
            for example `{ "plan.type": "Pro" }` will be unflattened to `{
            "plan": { "type": "Pro" } }`
          nullable: true
        properties:
          type: object
          required:
            - $name
            - $domain
          properties:
            $name:
              type: string
              description: The name of the account.
              example: Acme, Inc.
            $domain:
              type: string
              description: The domain of the account.
              example: acme.com
            $createdAt:
              type: string
              format: date-time
              nullable: true
            $updatedAt:
              type: string
              format: date-time
              nullable: true
            $contractValue:
              type: number
              description: The contract value of the account.
              example: 100000
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````